package logic

import (
	"context"

	"juwan-backend/app/wallet/rpc/internal/svc"
	"juwan-backend/app/wallet/rpc/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type DelWalletTransactionsLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewDelWalletTransactionsLogic(ctx context.Context, svcCtx *svc.ServiceContext) *DelWalletTransactionsLogic {
	return &DelWalletTransactionsLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *DelWalletTransactionsLogic) DelWalletTransactions(in *pb.DelWalletTransactionsReq) (*pb.DelWalletTransactionsResp, error) {
	// todo: add your logic here and delete this line

	return &pb.DelWalletTransactionsResp{}, nil
}
